Subject: Radeon 9200

From: [email-masked] (Bill Jonas)
Date: Fri, 29 Aug 2003 10:45:03 -0700

--ze9Y2znYQNnn3X7a
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Aug 28, 2003 at 04:12:07PM -0700, Deepak Saxena wrote:
> I'm working on getting my 9000pro working with Debian (knoppix to be
> exact) and was wondering if you are using a DVI or VGA monitor.  I'm

VGA.

> but the monitor goes to power off mode.  If I do a ctrl-alt-f1
> adn then do a ctrl-f7 right after that, I can see the image
> on the screen for about a second before it dies and goes away.=20

Hmm.  You're saying that the power to it works just fine on the console?
Odd.

> Just wondering if you had any problems in case you used DVI.

Well, I did notice that there are two entries in /proc/pci for my card:

  Bus  1, device   0, function  0:
    VGA compatible controller: PCI device 1002:5961 (ATI Technologies Inc) =
(rev=20
1).
      IRQ 12.
      Master Capable.  Latency=3D32.  Min Gnt=3D8.
      Prefetchable 32 bit memory at 0xd0000000 [0xd7ffffff].
      I/O at 0x9000 [0x90ff].
      Non-prefetchable 32 bit memory at 0xe5000000 [0xe500ffff].
  Bus  1, device   0, function  1:
    Display controller: PCI device 1002:5941 (ATI Technologies Inc) (rev 1).
      Master Capable.  Latency=3D32.  Min Gnt=3D8.
      Prefetchable 32 bit memory at 0xd8000000 [0xdfffffff].
      Non-prefetchable 32 bit memory at 0xe5010000 [0xe501ffff].

My /var/log/XFree86.0.log tells me:

(--) PCI:*(1:0:0) ATI Technologies Inc unknown chipset (0x5961) rev 1, Mem =
@ 0xd0000000/27, 0xe5000000/16, I/O @ 0x9000/8
(--) PCI: (1:0:1) ATI Technologies Inc unknown chipset (0x5941) rev 1, Mem =
@ 0xd8000000/27, 0xe5010000/16
=2E..
(WW) RADEON: No matching Device section for instance (BusID PCI:1:0:1) found

I'm suspecting that the VGA and DVI ports are separate devices on the
same card.  Either that or they're on the same BusID and the TV-Out is
different.  You might try setting an explicit BusID of 1:0:1, but I'm
unsure as to whether or not that will work.

--=20
Bill Jonas    *    [email-masked]    *    http://www.billjonas.com/
"It's a dangerous business, Frodo, going out your front door.  You step
into the Road,  and if you don't keep your feet,  there  is  no knowing
where you might be swept off to."  --  Bilbo Baggins

--ze9Y2znYQNnn3X7a
Content-Type: application/pgp-signature
Content-Disposition: inline

--ze9Y2znYQNnn3X7a--